org.apache.ignite.internal.visor

## Class VisorOneNodeTask<A,R>

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<A,R>

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<A>,R>

Direct Known Subclasses:
  VisorCacheAffinityNodeTask, VisorCacheClearTask, VisorCacheConfigurationCollectorTask, VisorCacheLoadTask, VisorCacheMetadataTask, VisorCacheNodesTask, VisorCacheRebalanceTask, VisorCacheResetMetricsTask, VisorCacheResetQueryDetailMetricsTask, VisorCacheResetQueryMetricsTask, VisorCacheStopTask, VisorCacheSwapBackupsTask, VisorComputeResetMetricsTask, VisorFileBlockTask, VisorIgfsFormatTask, VisorIgfsProfilerClearTask, VisorIgfsProfilerTask, VisorIgfsResetMetricsTask, VisorIgfsSamplingStateTask, VisorLatestTextFilesTask, VisorLatestVersionTask, VisorNodeConfigurationCollectorTask, VisorNodePingTask, VisorQueryNextPageTask, VisorQueryTask, VisorResolveHostNameTask, VisorThreadDumpTask

    public abstract class VisorOneNodeTask<A,R>
    extends VisorMultiNodeTask<A,R,R>

Base class for Visor tasks intended to query data from a single node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorOneNodeTask()`

### Method Summary

Methods
`protected R` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`job, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorOneNodeTask

    public VisorOneNodeTask()

### Method Detail

#### reduce0

    @Nullable
    protected R reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<A,R,R>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016